curl -O https://search.leads-siren.com/enrichment-service/download/abc123token
import requests
resp = requests.get(
"https://search.leads-siren.com/enrichment-service/download/abc123token"
)
with open("enriched_data.csv", "wb") as f:
f.write(resp.content)
full_name,company,siren,phone,email
Jean Dupont,Example SARL,123456789,+33 1 23 45 67 89,jean.dupont@example.com
Marie Martin,Test SAS,987654321,+33 6 12 34 56 78,marie.martin@example.com
{
"detail": "Link expired"
}
Results & Downloads
Download File
GET
/
enrichment-service
/
download
/
{token}
curl -O https://search.leads-siren.com/enrichment-service/download/abc123token
import requests
resp = requests.get(
"https://search.leads-siren.com/enrichment-service/download/abc123token"
)
with open("enriched_data.csv", "wb") as f:
f.write(resp.content)
full_name,company,siren,phone,email
Jean Dupont,Example SARL,123456789,+33 1 23 45 67 89,jean.dupont@example.com
Marie Martin,Test SAS,987654321,+33 6 12 34 56 78,marie.martin@example.com
{
"detail": "Link expired"
}
Download the enriched CSV file using a temporary token generated by the
/generate-download-url endpoint. This is a public endpoint — no API key is required.
Path Parameters
string
required
The one-time download token returned by the
/generate-download-url endpoint. Tokens expire after a set period.Response
Returns a CSV file as a binary download withContent-Type: text/csv.
curl -O https://search.leads-siren.com/enrichment-service/download/abc123token
import requests
resp = requests.get(
"https://search.leads-siren.com/enrichment-service/download/abc123token"
)
with open("enriched_data.csv", "wb") as f:
f.write(resp.content)
full_name,company,siren,phone,email
Jean Dupont,Example SARL,123456789,+33 1 23 45 67 89,jean.dupont@example.com
Marie Martin,Test SAS,987654321,+33 6 12 34 56 78,marie.martin@example.com
{
"detail": "Link expired"
}

